> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get an individual group

GET https://example.itential.io/authorization/groups/{groupId}

Returns an individual group.

Reference: https://docs.itential.com/itential-platform/6/api-reference/authorization/get-group

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `groupId` (string, required) — The id for the requested group.

## Response

### 200

The individual group document.

- `provenance` (string, required) — AAA provider where group originated
- `name` (string, required) — Name of group
- `description` (string, required) — Description of group
- `memberOf` (list of object, required) — Parent groups which this group is a part of
  - `aaaManaged` (boolean, optional) — Whether group comes from an external AAA or not
  - `groupId` (string, optional) — String representation of a MongoDB ObjectId
- `assignedRoles` (list of object, required) — Roles assigned to this group
  - `roleId` (string, optional) — String representation of a MongoDB ObjectId
- `inactive` (boolean, required) — Setting for whether group is active or not
- `_meta` (object, optional) — Metadata for group
  - `created` (string, optional) — When the group was created
  - `updated` (string, optional) — When the group was last updated

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "provenance": "Local AAA",
  "name": "group_1",
  "description": "description of group_1",
  "memberOf": [
    {
      "aaaManaged": true,
      "groupId": "5cb7b531d06cceb89fd21b1c"
    }
  ],
  "assignedRoles": [
    {
      "roleId": "5cb7b531d06cceb89fd21b1c"
    }
  ],
  "inactive": true,
  "_meta": {
    "created": "2018-08-02T15:56:12.912Z",
    "updated": "2018-08-02T15:56:12.912Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/authorization/groups/groupId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/authorization/groups/groupId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/authorization/groups/groupId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/authorization/groups/groupId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/authorization/groups/groupId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/authorization/groups/groupId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/authorization/groups/groupId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/authorization/groups/groupId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```